

let app=getApp();
let domain = app.globalData.domain;
let myinfoUrl = domain + "/dingding/myinfo";
Page({
  data:{ 
    imageurl:"http://139.159.202.24:8888",
    user:null,
    url: 
      [
        {
          img: "../../../resource/images/meeting.png",
          name: "我的会议",
          url: "../../meeting/record/record",
          type: "switchTab"
        },
        {
          img: "../../../resource/images/ls.png",
          name: "历史记录",
          url: "../../meeting/recording/recording",
          type: "navigate"
        }, 
        {
          img: "../../../resource/images/help.png",
          name: "使用帮助",
          url: "../../mine/help/help",
          type: "navigate"
        },
        {
          img: "../../../resource/images/fk.png",
          name: "意见反馈",
          url: "../../mine/opinion/opinion",
          type: "navigate"
        }
        ]
  },

  onLoad: function(options) {
   


   

  },
  onReady() {
    // 页面加载完成
  },
  callphone:function(){
    
    dd.showCallMenu({
      phoneNumber: '17727839040', // 期望拨打的电话号码
      code: '+86', // 国家代号，中国是+86
      showDingCall: false, // 是否显示钉钉电话
      success: function(res) {
      },
      fail: function(err) {
      }
    });


  },
  onShow() {
    // 页面显示
    var userId = app.globalData.userId;
    var _this = this;
    dd.httpRequest({
      url: myinfoUrl,
      method: 'POST',
      data: {
        userId: userId
      },
      dataType: 'json',
      success: function(res) {
        console.log('我的信息--->>', res)
         
        _this.setData({
          user: res.data.result
        })
      },
      fail: function(res) {
        console.log("httpRequestFail---", res)
        dd.alert({ content: JSON.stringify(res) });
      },
      complete: function(res) {
        dd.hideLoading();
      }

    });

  },
  onHide() {
    // 页面隐藏
  },
  onUnload() {
    // 页面被关闭
  },
  onTitleClick() {
    // 标题被点击
  },
  onPullDownRefresh() {
    // 页面被下拉
  },
  onReachBottom() {
    // 页面被拉到底部
  },
  onShareAppMessage() {
    // 返回自定义分享信息

  },
});
